<?php
  include("header.php");
  include("conexionOdo.php");
?>

<form method='get' action=''>    
  <table align="center" width="960">
   <tr class="camposLista">     
    <td width="100%"  align="center"><span class="icon-cart" style="color:#34495e5; font-size:20px;"> <span style="font-size:20px; font-family:Arial; color:#34495e;"> NUEVO RECAUDO </span> </span></td> 
   </tr>
  </table>
 
  <?php
    
     session_start();
     $s_identifica = $_SESSION['cedula'];
     $s_tipoId     = $_SESSION['tipoId'];
    
  
    if ($s_identifica>0)
    {
      // Realiza consulta de usuarios MySQL
      $query = "SELECT count(*) AS numC FROM SIO_CON_PACIENTE WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica";
      $result = mysql_query($query) or die('Consulta de historias fallida: ' . mysql_error());
      $line = mysql_fetch_array($result, MYSQL_ASSOC);

       //asigna valores a variables de trabajo
       $consultas = $line["numC"];     
       // Liberar resultados
       mysql_free_result($result);
  
       $query = "SELECT A.numConsulta, A.fechaConsulta, A.medConsulta, ".
                "  CONCAT(B.nomPaciente, ' ',  B.apell1paciente, ' ',  B.apell2Paciente) AS paciente, ".
                "  CONCAT(C.nomUsuario,  ' ',  C.apell1Usuario,  ' ',  C.apell2Usuario) AS usuario, ". 
                "  A.tipoHistoria AS tipo ".
                " FROM SIO_CON_PACIENTE A, SIME_BAS_PACIENTE B, SIME_BAS_N_USUARIOS C ".
                " WHERE A.idPaciente = B.idPaciente AND ".
                "       A.medConsulta= C.idUsuario  AND " .
                "       A.idPaciente = $s_identifica AND pagado IS NULL AND".
                "       A.tipoId = '$s_tipoId' GROUP BY A.numConsulta ORDER BY A.numConsulta desc";
       $result = mysql_query($query) or die('Consulta de lista de consultas fallida: ' . mysql_error());
       $cantRegistros=mysql_num_rows($result);
 
       $i=0;
       while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
           $s_numConsulta    = $line["numConsulta"];
           $s_fechaConsulta  = $line["fechaConsulta"];
           $s_medConsulta    = $line["medConsulta"];
           $s_paciente       = $line["paciente"];
           $s_usuario        = $line["usuario"];
           $s_tipo           = $line["tipo"];
           $s_tratamiento    = $line["numTratamiento"];
           
           $s_paciente = 'Paciente: ' . $s_paciente .'          No. documento: '.$numeroId;
         
           $queryMed = " SELECT CONCAT(nomUsuario, ' ', apell1Usuario, ' ', apell2Usuario ) AS medico " .
                       " FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $s_medConsulta"; 
                     
           $resultMed = mysql_query($queryMed) or die('Consulta de nombre de medico fallida: ' . mysql_error());           
           $lineMed   = mysql_fetch_array($resultMed, MYSQL_ASSOC);
           $nomMedico = $lineMed["medico"]; 
           
           echo("<table align='center' width='900' border='0' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 
                 //echo("<tr>\n");
                 // echo   ("<td class='subtutulosTabla' align='left' colspan='5'>$s_paciente</td>\n");
                 //echo("</tr>\n");
                 echo("<tr class='titulosLista'>\n");
                  echo("<td width='300' align='center'>No. Historia- Toque para Recaudar</td>\n");
                  echo("<td width='150' align='left'>Tipo</td>\n");
                  echo("<td width='200' align='left'>Fecha</td>\n");
                  echo("<td width='310' align='left'>Atendida por:</td>\n");
                 echo("</tr>\n");
              }
              /*
              if ($i%2==0)
              {
                echo("<tr style='background-color:rgba(41, 128, 185, 0.2);'>\n"); 
              }  
              else
              {
                echo("<tr>\n");
              } */
              
              echo("<tr class='camposLista'>\n");
                echo("<td width='300' align='center'><a href=recaudoNuevo1.php?consulta=$s_numConsulta&tipoHis=$s_tipo><span class='icon-cart' style='color:#34495e; font-size:14px;'> $s_numConsulta</span></a></td>\n");
                echo("<td width='150' align='left'>$s_tipo</td>\n");
                echo("<td width='200' align='left'>$s_fechaConsulta</td>\n");
                 echo("<td width='310' align='left'>$nomMedico</td>\n");
               echo("</tr>\n");
            /*
            echo ("<tr>\n");         
              echo("<td colspan='3' class='negrita' align='left'><i>Atendio: $nomMedico</i></td>\n");
            echo ("</tr>\n");
            */
       
           $i = $i+1;
       }//while    
           
       if ($i==0)
       {
         echo("<table align= 'center'  width='960' border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td class='titulosTabla' align='center'>EL PACIENTE NO TIENE CONSULTAS RELACIONADAS</td>\n");
           echo("</tr>\n");
         echo ("</table>\n") ;    
       }
    }//if>0
  ?>
 </table>      
</form> 

</body>
</html>